/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: flex;
  flex-flow: column;
  padding: 1em;
  align-items: center;
}

.dashboard-header {
  width: 100%;
  display: flex;
  flex-flow: row wrap;
  align-items: center;
}

.dashboard-header-title {
  margin-right: auto;
  font-size: x-large;
  font-weight: 600;
}

.dashboard-header-actions {
  display: flex;
  flex-flow: row wrap;
  margin-left: auto;
  justify-content: flex-end;

  .openk-button {
    margin: 0.25em;
  }
}

.statement-details {
  margin-top: 1em;
  width: 100%;
  max-width: 70em;
}

.statement-details-content {
  width: 100%;
  box-sizing: border-box;
  padding: 1em;
  display: flex;
  flex-flow: column;
}

.statement-details-content--process-information {
  height: 28em;
  overflow: auto;
  padding-bottom: 0;
}

.statement-details-footer {
  display: flex;
  flex-flow: column;
  margin-left: auto;
}

.statement-details-footer-button {
  margin-top: 0.5em;

  span {
    display: inline-block;
    text-align: start;
    width: 100%;
  }
}

.placeholder {
  padding: 1em;
  font-style: italic;
}

